#!/bin/sh

# Use this if you don't want to install Opera to any special location,
# but execute it from the extracted package or current location.

# Location of the Opera binary
OPERA=./opera

if test ! -f $OPERA; then
    echo "The Opera binary is not located at \"$OPERA\"."
    exit 1
elif test ! -x $OPERA; then
    echo "You do not have execute rights on \"$OPERA\"."
    echo "Please do a \"chmod u+x $OPERA\"."
    exit 1
fi

# Opera enviroment
if test "$OPERA_DIR" = ''; then
    OPERA_DIR="${PWD}"
fi

# Opera Plug-in enviroment, Add more plugin search paths here
# If OPERA_PLUGIN_PATH is set NPX_PLUGIN_PATH will be ignored

for DIR in \
    "$PWD/plugins" \
    "$HOME/.opera/plugins" \
    /usr/lib/opera/plugins \
    /usr/local/Acrobat4/Browsers/intellinux \
    /usr/java/jre1.3.1/plugin/i386/ns4 \
    /usr/lib/RealPlayer8/Plugins \
    /usr/lib/realplay/plugins \
    /usr/lib/RealPlayer8 \
    /usr/lib/realplay \
    "$HOME/.netscape/plugins" \
    /opt/netscape/plugins \
    /usr/lib/netscape/plugins \
    /usr/local/netscape/plugins \
    /usr/local/lib/netscape/plugins \
    ; do
    if test -d $DIR ; then 
	OPERA_PLUGIN_PATH="$OPERA_PLUGIN_PATH":"$DIR"
    fi
done

# Acrobat Reader
if test -d /usr/local/Acrobat4/bin ; then 
    PATH=$PATH:/usr/local/Acrobat4/bin
fi

OPERA_PLUGIN_PATH="$OPERA_PLUGIN_PATH":"$NPX_PLUGIN_PATH"
 
# Exporting the enviroment
export OPERA_DIR OPERA_PLUGIN_PATH

# Running Opera
$OPERA "$@"
